#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

#
# Do nothing if eTPC is already running.
#
DIRHOME=/var
DEBUG=0

function CheckDiskSpaceAIX
{
    if [ "$DEBUG" != "0" ] ; then
      set -x
    fi
   diskspace=`df -k /opt | grep opt | awk '{print $3}'`

   [ "$diskspace" -lt 2096 ]
   if [ $? -ne 1 ] ; then
     exit -1
   fi
}



function CheckDiskSpaceLinux
{
   OPT_LOWER=1294967296
   OPT_FREE=$(stat -f -c '%a' $DIRHOME 2> /dev/null)
   OPT_BS=$(stat -f -c '%s' $DIRHOME 2> /dev/null)

   DISKERROR=""

   ((${OPT_FREE} * ${OPT_BS} < ${OPT_LOWER}))

   if [ $? -ne 1 ] ; then
     exit -1
   fi

}

function UnpackStorageControl
{
   cp $1 /tmp/StorageControl/
   cd /tmp/StorageControl/
   BASENAME=$(basename $1)
   gunzip -cd $BASENAME | tar -xf- 
   if [ $? != 0 ] ; then
      exit -3
   fi
   if [ ! -f /tmp/StorageControl/StorageControlInstall.sh ] ; then
      exit -4
   fi
}

function RunInstallStorageControl
{
   /tmp/StorageControl/StorageControlInstall.sh
}



#------------Start of mainline code execution----------------

OS=`uname`

if [ "$OS" == "AIX" ] ; then
	CheckDiskSpaceAIX
else
	CheckDiskSpaceLinux
fi

UnpackStorageControl $1

RunInstallStorageControl

