#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

. $1
DIRHOME=$2
DB2HOME=$(cat /etc/passwd | grep $DB_USER | awk -F':' '{print $6}')
. $DB2HOME/sqllib/db2profile

	echo "Getting Tablespace ids..."

	TPCTBSPKEYSID=-1
	TPCTBSPPMID=-1
	TPCTBSPTEMPID=-1
	TPCTBSPDATAID=-1
	TPCTBSPUSRTMPID=-1



    TPCTBSPKEYSID=$(cat $BACKUP_DIR/Tablespaces.txt|grep TPCTBSPKEYS|awk -F" " '{print $2}')
    TPCTBSPPMID=$(cat $BACKUP_DIR/Tablespaces.txt|grep TPCTBSPPM|awk -F" " '{print $2}')
    TPCTBSPTEMPID=$(cat $BACKUP_DIR/Tablespaces.txt|grep TPCTBSPTEMP|awk -F" " '{print $2}')
    TPCTBSPDATAID=$(cat $BACKUP_DIR/Tablespaces.txt|grep TPCTBSPDATA|awk -F" " '{print $2}')
    TPCTBSPUSRTMPID=$(cat $BACKUP_DIR/Tablespaces.txt|grep TPCTBSPUSRTMP|awk -F" " '{print $2}')

	echo "TPCTBSPKEYSID=$TPCTBSPKEYSID"
	echo "TPCTBSPPMID=$TPCTBSPPMID"
	echo "TPCTBSPTEMPID=$TPCTBSPTEMPID"
	echo "TPCTBSPDATAID=$TPCTBSPDATAID"
	echo "TPCTBSPUSRTMPID=$TPCTBSPUSRTMPID"
    
    if [ "$TPCTBSPKEYSID" == "-1" ] ; then
    	echo "Error getting TPCTBSPKeys tablespace id"
    	exit 1
    fi

    if [ "$TPCTBSPPMID" == "-1" ] ; then
    	echo "Error getting TPCTBSPPM tablespace id"
    	exit 1
    fi
    
	if [ "$TPCTBSPTEMPID" == "-1" ] ; then
    	echo "Error getting TPCTBSPTEMP tablespace id"
    	exit 1
    fi
    
        if [ "$TPCTBSPDATAID" == "-1" ] ; then
    	echo "Error getting TPCTBSPDATA tablespace id"
    	exit 1
    fi
    
        if [ "$TPCTBSPUSRTMPID" == "-1" ] ; then
    	echo "Error getting TPCTBSPUSRTMP tablespace id"
    	exit 1
    fi



#Run DB2 Restore command.
db2 RESTORE DATABASE $DB_NAME USER $DB_USER USING $DB_PASSWORD FROM $BACKUP_DIR on $DB2HOME $TAKEN_AT WITH 2 BUFFERS BUFFER 1024 REDIRECT PARALLELISM 1 WITHOUT ROLLING FORWARD WITHOUT PROMPTING 
if [ $? != 0 -a $? != 2 ] ; then
   echo "Restore SC database failed "
   exit 1
fi
echo "Completed Database restore 1"

#Set the table spaces for the managed DB2.
db2 "set tablespace containers for $TPCTBSPKEYSID using (path '$DB2HOME/$DB_USER/TPCDB/TPC/TPCTBSPKeys')"
if [ $? != 0 ] ; then
   echo "Set table space container for TPCTBSPKeys failed "
   exit 2
fi
echo "Set container TPCTBSPKeys"

#Set tablespace for TPCTBSPPM.
db2 "set tablespace containers for $TPCTBSPPMID using (path '$DB2HOME/$DB_USER/TPCDB/TPC/TPCTBSPPM')" 
if [ $? != 0 ] ; then
   echo "Set table space container for TPCTBSPPM failed "
   exit 3
fi
echo "Set container TPCTBSPPM"

#Set tablespace for TPCTBSPTEMP.
db2 "set tablespace containers for $TPCTBSPTEMPID using (path '$DB2HOME/$DB_USER/TPCDB/TPC/TPCTBSPTEMP')" 
if [ $? != 0 ] ; then
   echo "Set table space container for TPCTBSPTEMP failed "
   exit 3
fi
echo "Set container TPCTBSPTEMP"

#Set tablespace for TPCTBSPData.
db2 "set tablespace containers for $TPCTBSPDATAID using (path '$DB2HOME/$DB_USER/TPCDB/TPC/TPCTBSPData')" 
if [ $? != 0 ] ; then
   echo "Set table space container for TPCTBSPData failed "
   exit 4
fi
echo "Set container TPCTBSPData"

#Set tablespace for TPCTBSPUSRTMP.
db2 "set tablespace containers for $TPCTBSPUSRTMPID using (path '$DB2HOME/$DB_USER/TPCDB/TPC/TPCTBSPUSRTMP')" 
if [ $? != 0 ] ; then
   echo "Set table space container for TPCTBSPUSRTMP failed "
   exit 5
fi
echo "Set container TPCTBSPUSRTMP"

#Run DB2 Restore continue command.
db2 restore db TPCDB continue
if [ $? != 0 -a $? != 2 ] ; then
   echo "Storage Control restore continue failed "
   exit 6
fi
echo "Restore completed"
exit 0

