@echo OFF
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2011 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

REM Check if SCDEBUG flag is on

if "%SCDEBUG%"=="1" (@echo on)



REM Get Director's registry entry and save it to a file.
REGEDIT /E DIR_REG.REG "HKEY_LOCAL_MACHINE\SOFTWARE\IBM\IBM Director Server\CurrentVersion" 

REM If the entry did not exist, Director must not have been installed correctly.
if NOT EXIST DIR_REG.REG ( 
	goto MY_REG_NO_EXIST 
) 

REM Search the registry entry for Director's home directory.
for /f "usebackq tokens=1,2 delims==" %%a in (`type DIR_REG.REG`) do ( 
	if %%a=="Root" ( 
		SET DIRHOME=%%b
	) 
) 

REM Get Director's logging levels and save them to a temp file.
call %DIRHOME%\lwi\bin\lwilog.bat -listConfig>>temp.txt

REM Search the temp file for Director's default logging level.
for /f "usebackq tokens=1,2 delims==" %%a in (`type temp.txt`) do (
	if "%%a"==".level" (
		set DIRFILTERKEY=%%b
	)
)

REM Modify the FILTER KEY to use a short name
if "%DIRFILTERKEY%"=="WARNING" (
	SET DIRFILTERKEY=WARN
)


REM Set variables.
SET TPCHOME=C:\\Program Files\\IBM\\TPC
SET CLASSPATH=.;%DIRHME%\StorageControl\lib\SilentInstall.jar;%DIRHOME%\lwi\lib\passutils.jar;%DIRHOME%\lwi\lib\lwisecurity.jar;%DIRHOME%\StorageControl\lib\eTPCInstallTools.jar
SET JAVAPATH=%DIRHOME%\jre\bin\java

REM Run the command to set Storage Control's Logging Level.
%JAVAPATH% -classpath %CLASSPATH% DosCommand %DIRHOME% "seteTPCLoggingLevel" "%TPCHOME%" %DIRFILTERKEY%


REM Start Storage Control service.
net start "IBMWAS61Service - DeviceServer"
GOTO EOF

:MY_REG_NO_EXIST
exit 1
GOTO EOF
 
:EOF